Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Verfügbare USE Flags für dev-util/pycharm-community
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
ddisaster
n00b
n00b


Joined: 27 Dec 2018
Posts: 2

PostPosted: Thu Dec 27, 2018 12:50 pm    Post subject: Verfügbare USE Flags für dev-util/pycharm-community Reply with quote

Hallo erstmal,

ich bin neu bei Gentoo. Ich bin seit ca. 11 Jahren Linux-User und bin über Ubuntu, Debian und Arch jetzt zu Gentoo gekommen, um mehr Kontrolle (und damit mehr Erfahrung) über meine Linux Installation zu erlangen. Leider bin ich jetzt aber schon zu lange erfolglos damit beschäfftigt, ein Paket zu installieren.

Nun zum eigentlichen Problem: Ich möchte Pycharm installieren. Dazu habe ich folgenden Befehl im Terminal genutzt:

Code:
sudo emerge --ask dev-util/pycharm-community


Dabei wurden mir mehrere mögliche USE-Flags angezeigt, die ich aber als für mich nicht nötig erachtet habe. Darum habe ich die Installation mit y gestartet mit dem Resultat, dass Pycharm jetzt wegen fehlendem Java nicht starten kann. Ich weiß noch, dass ein USE-Flag irgendwas mit Java zu tun hatte. Nun wollte ich mir die möglichen USE-Flags für pycharm anzeigen lassen und hab nach etwas suchen

Code:
equery uses dev-util/pycharm-community


gefunden. Dieser Befehl gibt mir aber folgendes Resultat:

Code:
!!! No USE flags found for dev-util/pycharm-community-2018.2.4


Im Gentoo Wiki gibt es die Folgende Seite, die die Installation für Pycharm erklären soll:

https://wiki.gentoo.org/wiki/PyCharm_Community_Edition

bei der unter den USE-Flags folgende Seite verlinkt wird:

https://packages.gentoo.org/packages/dev-util/pycharm-community

Bei der aber KEINE USE flags eingetragen sind.

Danach bin ich auf die Idee gekommen, mit emerge weiter zu probieren. aber emerge --search sagt gar nix zu USE flags und emerge --ask gibt mir jetzt auch nicht mehr die Info, welche Flags gesetzt werden können. Dann habe ich Pycharm mit

Code:
emerge -cav dev-util/pycharm-community


wieder Entfernt und wollte es dann neu installieren. Es werden aber immer noch keine Flags angezeigt...

Jetzt bin ich so langsam am verzweifeln. Die eigene Distribution mit den schier unendlich vielen Möglichkeiten selbst zu gestalten ist zwar echt toll, so macht das ganze dann aber einfach keinen Spaß/Sinn mehr.

Vielleicht kann mir jemand verraten, wie ich an die benötigten Informationen komme?

Danke schon mal.
Grüße DDisaster
Back to top
View user's profile Send private message
mike155
Veteran
Veteran


Joined: 17 Sep 2010
Posts: 1294
Location: Frankfurt, Germany

PostPosted: Thu Dec 27, 2018 1:15 pm    Post subject: Reply with quote

Hallo ddisaster,

Herzlich Willkommen bei den Gentoo Foren! :-)

Zunächst einmal hat dev-util/pycharm-community tatsächlich keine USE-Flags. Ein gutes Tools zum Anzeigen von Paketen und USE-Flags ist eix. Ich nutze es jeden Tag. Wenn Du Zeit hast, installiere es und schau es Dir an. Ebenfalls empfehlenswert ist ufed.

1) Habe ich es richtig verstanden, dass die Installation von PyCharm funktioniert hat, Du beim Starten von PyCharm aber die Fehlermeldung bekommst, dass Java fehlt?

2) Was gibt folgende Anweisung aus?
Code:
java-config -O

3) Hast Du die in https://wiki.gentoo.org/wiki/PyCharm_Community_Edition empfohlene Anweisung "export PYCHARM_JDK=`java-config -O`" an .bashrc angefügt (bei dem User, mit dem Du PyCharm starten willst) und Dich neu angemeldet? Was gibt folgende Anweisung aus (bei dem User, mit dem Du PyCharm starten willst)?
Code:
export | grep PYCHARM_JDK

4) Bitte zeige uns folgende Ausgabe über wgetpaste
Code:
emerge --info

Mike
Back to top
View user's profile Send private message
ddisaster
n00b
n00b


Joined: 27 Dec 2018
Posts: 2

PostPosted: Thu Dec 27, 2018 3:28 pm    Post subject: Reply with quote

Hallo Mike,

danke für deine schnelle Antwort.

Ich war mir so sicher, dass da USE Flags verfügbar waren :? aber OK. Dann lasse ich mich halt überzeugen.

Ich hatte den export Befehl aus deinem Punkt 3 noch nicht ausprobiert. Weil ich mir so sicher war, dass bei mir der USE Flag für Java eben noch fehlt.

Kurz: Ich bin mal wieder total in die falsche Richtung gegangen. Natürlich hast du aber recht, und der export hätte gereicht.

Danke Vielmals und einen guten Rutsch

Grüße DDisaster
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Fri Dec 28, 2018 3:20 pm    Post subject: Reply with quote

Geht auch mit equery:

Code:
equery u pycharm-community
!!! No USE flags found for dev-util/pycharm-community-2018.2.1
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Fri Dec 28, 2018 6:00 pm    Post subject: Reply with quote

musv wrote:
Geht auch mit equery:

Code:
equery u pycharm-community
!!! No USE flags found for dev-util/pycharm-community-2018.2.1

Hat "ddisaster" schon selbst gemacht ;)
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum